<?php
/***************************************************************************
*                                                                          *
*    Copyright (c) 2009 Simbirsk Technologies Ltd. All rights reserved.    *
*                                                                          *
* This  is  commercial  software,  only  users  who have purchased a valid *
* license  and  accept  to the terms of the  License Agreement can install *
* and use this program.                                                    *
*                                                                          *
****************************************************************************
* PLEASE READ THE FULL TEXT  OF THE SOFTWARE  LICENSE   AGREEMENT  IN  THE *
* "copyright.txt" FILE PROVIDED WITH THIS DISTRIBUTION PACKAGE.            *
****************************************************************************/


//
// $Id: directebanking.php 0004 2009-09-11 11:29:44Z murzik $
//

if ( !defined('AREA') ) { die('Access denied'); }

if ($mode == 'update') {
	$view->assign('countries', fn_get_countries(CART_LANGUAGE, true));
	$view->assign('user_data', fn_get_user_info($auth['user_id']));
}

if ($mode == 'backlink') {

	fn_set_notification('N', fn_get_lang_var('notice'), fn_get_lang_var('text_directebanking_account_is_created'));
	// Account in the DIRECTebanking.com system created successfully.

	$payment_id = $_REQUEST['payment_id'];
	if (!empty($payment_id)) {
		$old_payment_method_data = fn_get_payment_method_data($payment_id);
		$old_payment_method_params = $old_payment_method_data['params'];
		$new_payment_method_params = $old_payment_method_params;

		fn_set_notification('N', fn_get_lang_var('notice'), str_replace('[payment_method]', $old_payment_method_data['payment'], fn_get_lang_var('text_directebanking_update_payment_notice')));
		// Payment method named as [payment_method] updated sucessfully . The 'Customer ID', 'Project ID' and 'Project password' fields были заполнены in the 'Configure' tab в соответствии с созданным аккаунтом.

	} else {

		$directebanking_processor_id = db_get_field("SELECT processor_id FROM ?:payment_processors WHERE processor_script = 'directebanking.php'");
		$payment_data = Array(
			'payment' => 'DIRECTebanking.com',
			'position' => '',
			'processor_id' => $directebanking_processor_id,
			'membership_id' => '',
			'description' => '',
			'p_surcharge' => '',
			'a_surcharge' => '',
			'status' => 'A'
		);

		$payment_data['payment_id'] = $payment_id = db_query("INSERT INTO ?:payments ?e", $payment_data);
		foreach ((array)Registry::get('languages') as $payment_data['lang_code'] => $_v) {
			db_query("INSERT INTO ?:payment_descriptions ?e", $payment_data);
		}
		$new_payment_method_params = Array();

		fn_set_notification('N', fn_get_lang_var('notice'), fn_get_lang_var('text_directebanking_add_payment_notice'));
		// New payment method named as 'DIRECTebanking.com' added sucessfully . If you до этого set any other data in the 'General' tab, please set it again. Also the 'Customer ID', 'Project ID' and 'Project password' fields были заполнены in the 'Configure' tab в соответствии с созданным аккаунтом.
	}

	$new_payment_method_params['user_id'] = $_REQUEST['user_id'];
	$new_payment_method_params['project_id'] = $_REQUEST['project_id'];
	$new_payment_method_params['project_password'] = $_REQUEST['project_password'];

	if (!empty($new_payment_method_params)) {
		db_query("UPDATE ?:payments SET params = ?s WHERE payment_id = ?i", serialize($new_payment_method_params), $payment_id);
	}

	return array(CONTROLLER_STATUS_OK, "$index_script?dispatch=payments.manage");
	
}

if ($mode == 'generate_password') {
	$ajax->assign('generated_project_password', fn_generate_password());
	exit;
}

function fn_generate_password ( $number = 16 )
{
	$arr = array(	'a','b','c','d','e','f',
			'g','h','i','j','k','l',
			'm','n','o','p','r','s',
			't','u','v','x','y','z',
			'A','B','C','D','E','F',
			'G','H','I','J','K','L',
			'M','N','O','P','R','S',
			'T','U','V','X','Y','Z',
			'1','2','3','4','5','6',
			'7','8','9','0','.',',',
			'(',')','[',']','!','?',
			'&','^','%','@','*','$',
			'<','>','/','|','+','-',
			'{','}','`','~');

	$pass = "";

	for ($i = 0; $i < $number; $i++) {
		$index = rand(0, count($arr) - 1);
		$pass .= $arr[$index];
	}
	return $pass;
}

?>
