<?php
/***************************************************************************
*                                                                          *
*    Copyright (c) 2009 Simbirsk Technologies Ltd. All rights reserved.    *
*                                                                          *
* This  is  commercial  software,  only  users  who have purchased a valid *
* license  and  accept  to the terms of the  License Agreement can install *
* and use this program.                                                    *
*                                                                          *
****************************************************************************
* PLEASE READ THE FULL TEXT  OF THE SOFTWARE  LICENSE   AGREEMENT  IN  THE *
* "copyright.txt" FILE PROVIDED WITH THIS DISTRIBUTION PACKAGE.            *
****************************************************************************/


//
// $Id: directebanking.php 0001 2009-09-10 17:19:29Z murzik $
//

if (!defined('AREA') ) { die('Access denied'); }

if (defined('PAYMENT_NOTIFICATION')) {

	$order_id = $_REQUEST['order_id'];
	$pp_response = array();

	if ($mode == 'success') {
		if (fn_check_payment_script('directebanking.php', $order_id)) {
			fn_order_placement_routines($order_id);
		}
	} elseif ($mode == 'abort') {
		if (fn_check_payment_script('directebanking.php', $order_id)) {
			fn_order_placement_routines($order_id);
		}
	} elseif ($mode == 'notification') {

		$payment_id = db_get_field("SELECT payment_id FROM ?:orders WHERE order_id = ?i", $order_id);
		$processor_data = fn_get_payment_method_data($payment_id);
		$order_info = fn_get_order_info($order_id);

		$response_data = Array (
			'transaction' => $_REQUEST['transaction'],
			'user_id' => $_REQUEST['user_id'],
			'project_id' => $_REQUEST['project_id'],
			'sender_holder' => $_REQUEST['sender_holder'],
			'sender_account_number' => $_REQUEST['sender_account_number'],
			'sender_bank_code' => $_REQUEST['sender_bank_code'],
			'sender_bank_name' => $_REQUEST['sender_bank_name'],
			'sender_bank_bic' => $_REQUEST['sender_bank_bic'],
			'sender_iban' => $_REQUEST['sender_iban'],
			'sender_country_id' => $_REQUEST['sender_country_id'],
			'recipient_holder' => $_REQUEST['recipient_holder'],
			'recipient_account_number' => $_REQUEST['recipient_account_number'],
			'recipient_bank_code' => $_REQUEST['recipient_bank_code'],
			'recipient_bank_name' => $_REQUEST['recipient_bank_name'],
			'recipient_bank_bic' => $_REQUEST['recipient_bank_bic'],
			'recipient_iban' => $_REQUEST['recipient_iban'],
			'recipient_country_id' => $_REQUEST['recipient_country_id'],
			'international_transaction' => $_REQUEST['international_transaction'],
			'amount' => $_REQUEST['amount'],
			'currency_id' => $_REQUEST['currency_id'],
			'reason_1' => $_REQUEST['reason_1'],
			'reason_2' => $_REQUEST['reason_2'],
			'security_criteria' => $_REQUEST['security_criteria'],
			'user_variable_0' => $_REQUEST['user_variable_0'],
			'user_variable_1' => $_REQUEST['user_variable_1'],
			'user_variable_2' => $_REQUEST['user_variable_2'],
			'user_variable_3' => $_REQUEST['user_variable_3'],
			'user_variable_4' => $_REQUEST['user_variable_4'],
			'user_variable_5' => $_REQUEST['user_variable_5'],
			'created' => $_REQUEST['created'],
			'project_password' => $processor_data['params']['project_password']
		);
		$response_data_implode = implode('|', $response_data);
		$our_hash = sha1($response_data_implode);

		if ($our_hash == $_REQUEST['hash']) {
			if ($_REQUEST['security_criteria'] == 1) {
				$pp_response["order_status"] = 'P';
				$pp_response["reason_text"] = 'Approved.';
			} else {
				$pp_response["order_status"] = 'O';
				$pp_response["reason_text"] = 'Please wait for the actual incoming payment and after that change order status manualy.';
			}
		} else {
			$pp_response["order_status"] = 'F';
			$pp_response["reason_text"] = 'Hash value is incorrect in the notification request.';
		}

		$pp_response["reason_1"] = $_REQUEST['reason_1'];
		$pp_response["transaction"] = $_REQUEST['transaction'];
		$pp_response["sender_holder"] = $_REQUEST['sender_holder'];
		$pp_response["sender_account_number"] = $_REQUEST['sender_account_number'];
		$pp_response["sender_bank_code"] = $_REQUEST['sender_bank_code'];
		$pp_response["sender_bank_name"] = $_REQUEST['sender_bank_name'];
		$pp_response["sender_bank_bic"] = $_REQUEST['sender_bank_bic'];
		$pp_response["sender_iban"] = $_REQUEST['sender_iban'];
		$pp_response["sender_country_id"] = $_REQUEST['sender_country_id'];
		$pp_response["created"] = $_REQUEST['created'];

		if (fn_check_payment_script('directebanking.php', $order_id)) {
			fn_finish_payment($order_id, $pp_response, false);
		}
		exit;
	}
} else {

	$url = 'https://www.directebanking.com/payment/start';

	// [mur][multicurrency]
	$currencies = Registry::get('currencies');
	$secondary_currency_code = $_SESSION['settings']['secondary_currencyC']['value'];

	foreach ($currencies as $k => $v) {
		if ($k == $secondary_currency_code) {
			$amount = fn_format_price($order_info['total'] / $v['coefficient']);
		}
	}
	// [/mur][multicurrency]

	$post_data = Array (
		'user_id' => $processor_data['params']['user_id'],
		'project_id' => $processor_data['params']['project_id'],
		'sender_holder' => '',
		'sender_account_number' => '',
		'sender_bank_code' => '',
		'sender_country_id' => '',
		'amount' => $amount,
		'currency_id' => strtoupper($secondary_currency_code),
//		'reason_1' => $order_id,
		'reason_1' => 'Order ID ' . $order_id,
		'reason_2' => '',
		'user_variable_0' => $order_id,
		'user_variable_1' => '',
		'user_variable_2' => '',
		'user_variable_3' => '',
		'user_variable_4' => '',
		'user_variable_5' => '',
		'project_password' => $processor_data['params']['project_password']
	);

	$post_data_implode = implode('|', $post_data);
	$hash = sha1($post_data_implode);

echo <<<EOT
<html>
<body onLoad="javascript: document.process.submit();">
<form method="post" action="{$url}" name="process">
	<input type="hidden" name="user_id" value="{$post_data['user_id']}">
	<input type="hidden" name="project_id" value="{$post_data['project_id']}">
	<input type="hidden" name="amount" value="{$post_data['amount']}">

	<input type="hidden" name="reason_1" value="{$post_data['reason_1']}">
	<input type="hidden" name="reason_2" value="{$post_data['reason_2']}">

	<input type="hidden" name="user_variable_0" value="{$post_data['user_variable_0']}">
	<input type="hidden" name="user_variable_1" value="{$post_data['user_variable_1']}">
	<input type="hidden" name="user_variable_2" value="{$post_data['user_variable_2']}">
	<input type="hidden" name="user_variable_3" value="{$post_data['user_variable_3']}">
	<input type="hidden" name="user_variable_4" value="{$post_data['user_variable_4']}">
	<input type="hidden" name="user_variable_5" value="{$post_data['user_variable_5']}">

	<input type="hidden" name="sender_bank_code" value="{$post_data['sender_bank_code']}">
	<input type="hidden" name="sender_account_number" value="{$post_data['sender_account_number']}">
	<input type="hidden" name="sender_holder" value="{$post_data['sender_holder']}">
	<input type="hidden" name="sender_country_id" value="{$post_data['sender_country_id']}">

	<input type="hidden" name="hash" value="{$hash}">

	<input type="hidden" name="currency_id" value="{$post_data['currency_id']}">
	<input type="hidden" name="language_id" value="{$processor_data['params']['language_id']}">

EOT;
$msg = fn_get_lang_var('text_cc_processor_connection');
$msg = str_replace('[processor]', 'DIRECTebanking server', $msg);
echo <<<EOT
	</form>
   <p><div align=center>{$msg}</div></p>
 </body>
</html>
EOT;
exit;
}
?>
